Arturia Forums

DRUMS => Spark => Spark Technical Issues => Topic started by: emetic on July 26, 2013, 11:47:35 pm

Title: Spark 1.7 release crashes Studio One
Post by: emetic on July 26, 2013, 11:47:35 pm
Anyone else having issues with the new Spark 1.7 update and crashing Presonus S1 x64? I had to completely uninstall, along with the library, and reinstall 1.6.1.1 to get it to work again. Good one.
Title: Re: Spark 1.7 release crashes Studio One
Post by: Sparkem on July 28, 2013, 09:41:07 am
Same with Cubase 7 32bit, back to 1.6.1 for me too - 1.7 is unuseable at the minute...
Title: Re: Spark 1.7 release crashes Studio One
Post by: HamHat on July 29, 2013, 03:21:46 am
I am also having this issue with Studio One, can't get into any of my projects, any way to roll back update?
Title: Re: Spark 1.7 release crashes Studio One
Post by: Toby@arturia on July 29, 2013, 09:43:15 am
Hi there,

I'm sorry you guys are having problems with 1.7, I will look into this today.
To the people using studio one, what OS are you running? What version of studio 1 are you running?
Title: Re: Spark 1.7 release crashes Studio One
Post by: emetic on July 29, 2013, 02:15:38 pm
Not working with Presonus S1 2.5.2 x64 on Windows 7 x64. Doesn't even load the plugin, crashes on startup. Was this update not tested on S1 x64?

To roll back I had to completely uninstall 1.7 (including library), reboot and install 1.6.1.1 (including library).
Title: Re: Spark 1.7 release crashes Studio One
Post by: kcearl on July 29, 2013, 02:36:02 pm
Ive been trying 1.7 on S1 2.5.0 32bit Win 7 and its seems pretty solid so it may be a x64 issue
Title: Re: Spark 1.7 release crashes Studio One
Post by: HamHat on July 29, 2013, 08:14:04 pm
I am using the latest release of S1, version 2.5.2 I believe. I am on Mac x64 Mountain Lion. How ever when I do switch to open S1 in x32 bit mode it doesn't crash studio one. It would seem to be a x64 problem.
Title: Re: Spark 1.7 release crashes Studio One
Post by: HamHat on July 29, 2013, 08:18:29 pm
Here is some info that might help, picture & crash report included.


Title: Re: Spark 1.7 release crashes Studio One
Post by: Toby@arturia on July 30, 2013, 09:09:02 am
Hey HamHat,

Thanks for the screenshot, I think it will be very useful for debugging this issue. Could you take a screenshot of the about window, if you didn't already know it is displayed by clicking the Spark logo in the central panel.

Thanks,

Toby
Title: Re: Spark 1.7 release crashes Studio One
Post by: HamHat on July 30, 2013, 08:16:30 pm
No problem! Attached is the requested screen shot. Had to open it in stand alone mode, hope that doesn't make a difference.
Title: Re: Spark 1.7 release crashes Studio One
Post by: terrym on July 30, 2013, 09:10:32 pm
Hi ,i see that your controller number for sparkle is 1.0.0.0 . it should be 1.0.0.3 .are you using the controller plugged in .when launching sparkle?


regards


terrym
Title: Re: Spark 1.7 release crashes Studio One
Post by: HamHat on July 31, 2013, 03:51:50 am
I used different various it didn't help. Also when I put in the new vst it still says its version 1.6.1 and then crashes.
Title: Re: Spark 1.7 release crashes Studio One
Post by: Toby@arturia on July 31, 2013, 08:45:10 am
Hey HamHat,

I really need the about window when you're using spark in studio one. I think that you might have multiple versions of spark on your disk and when you are running studio one you are loading version 1.6.1 with the new spark 1.7 library, which won't work.
Title: Re: Spark 1.7 release crashes Studio One
Post by: HamHat on August 01, 2013, 12:51:14 am
Hey HamHat,

I really need the about window when you're using spark in studio one. I think that you might have multiple versions of spark on your disk and when you are running studio one you are loading version 1.6.1 with the new spark 1.7 library, which won't work.
I was able to figure out the problem, basically with studio one you can save your vsts in other folders besides the ones associated with mac, and it will go to that plug in first before the original location. It indeed was an error of trying to read 1.6 with a 1.7 library. Hopefully that helps everyone else having this issue. Make sure you fully delete all of 1.6!
Title: Re: Spark 1.7 release crashes Studio One
Post by: HamHat on August 01, 2013, 01:09:38 am
Also does the controller version matter? I still have controller version 1.0.0.0
Title: Re: Spark 1.7 release crashes Studio One
Post by: Toby@arturia on August 01, 2013, 09:12:25 am
Hey HamHat,

I'm really glad that you managed to solve the problem, you had me seriously worried there  ;)! It's always a good idea to have the latest version of the firmware installed on your controller. To my knowledge, there haven't been any significant modifications to the firmware of late but small bugs have been fixed. If I were you I would update.
Title: Re: Spark 1.7 release crashes Studio One
Post by: Toby@arturia on August 01, 2013, 09:19:25 am
One other thing,

can you remember if you installed 1.7 in the same location as 1.6.1?
Title: Re: Spark 1.7 release crashes Studio One
Post by: emetic on August 01, 2013, 12:52:51 pm
All my locations have been the same through all the versions, but 1.7 is the first not to work.
Title: Re: Spark 1.7 release crashes Studio One
Post by: Toby@arturia on August 01, 2013, 02:26:04 pm
could you tell me where your spark vst was located for version 1.6.1 and the same thing for 1.7. Thanks
Title: Re: Spark 1.7 release crashes Studio One
Post by: emetic on August 02, 2013, 11:35:35 am
c:\program files\vstplugins

The same default location as all the other versions I have installed.
Title: Re: Spark 1.7 release crashes Studio One
Post by: cyphersuit on August 04, 2013, 12:53:50 pm
i have the same problem on win7, 64 bit, studio one v2.5.2.  from the studio one forums i know that mac users are also affected.

what 1.6.1 files do i have to find to uninstall? (i have 15 folders (!) on my system and 18 single files on my hdds just for spark edm, dubstep and vdm).
Title: Re: Spark 1.7 release crashes Studio One
Post by: cyphersuit on August 04, 2013, 01:59:57 pm
i have now completely uninstalled all - spark edm, vdm, dubstep.

redownloading 1.7 now. let's see how it goes.
Title: Re: Spark 1.7 release crashes Studio One
Post by: cyphersuit on August 04, 2013, 04:24:58 pm
That did the trick.

My feeling as a customer, asking on the official forum on kvr for some time and having to find the solution myself using different forums is bad. I felt left alone.
Title: Re: Spark 1.7 release crashes Studio One
Post by: vaikl on August 04, 2013, 06:53:40 pm
That did the trick.

My feeling as a customer, asking on the official forum on kvr for some time and having to find the solution myself using different forums is bad. I felt left alone.

Un- and reinstalling with a fresh downloaded copy is the most commonly used startup-procedure for nearly *every* software-related issue in every user forum. You are not alone... ;)
Title: Re: Spark 1.7 release crashes Studio One
Post by: cyphersuit on August 04, 2013, 09:12:22 pm
Yeah well this is soo yesterday. I got 200+ plugins and i can't remember any one of those to have me uninstall the previous version first. The installers do this nowadays.

Also i wonder (and will find out soon) what happened to the stuff i saved before. Maybe it's gone, maybe not. We will see.
Title: Re: Spark 1.7 release crashes Studio One
Post by: emetic on August 05, 2013, 03:10:04 pm
Any 'official' update on this issue??
Title: Re: Spark 1.7 release crashes Studio One
Post by: cyphersuit on August 06, 2013, 08:17:16 pm
Yeah well this is soo yesterday. I got 200+ plugins and i can't remember any one of those to have me uninstall the previous version first. The installers do this nowadays.

Also i wonder (and will find out soon) what happened to the stuff i saved before. Maybe it's gone, maybe not. We will see.

ok so my old projects are okay for vdm and edm. dubstep - well all projects say "you do not have this device installed". easy to overcome tho.
Title: Re: Spark 1.7 release crashes Studio One
Post by: HamHat on August 06, 2013, 11:55:46 pm
Hey guys make sure you are checking your studio one folder as well for a spark.vst, spark.dll, spark.component etc. If there is a preset saved there it will override your default vst location and cause this error.
Title: Re: Spark 1.7 release crashes Studio One
Post by: Kevin on August 12, 2013, 11:30:11 am
Hi,
the update of the controller is needed only if you use SparkLE controller as a generic MIDI controller.
Title: Re: Spark 1.7 release crashes Studio One
Post by: emetic on August 13, 2013, 05:17:43 pm
So still no actual answers then...
Title: Re: Spark 1.7 release crashes Studio One
Post by: Kevin on August 13, 2013, 05:29:26 pm
Sorry,
I have misunderstood because of the other problems reported in the same thread.
I will look at this one tomorrow morning and get back to you ASAP.

Sorry for the inconvenience.
Kevin
Title: Re: Spark 1.7 release crashes Studio One
Post by: Toby@arturia on August 14, 2013, 09:53:56 am
@Emetic,

Does 1.7 work ok in standalone? If so have you made any user projects with it?
I have been looking at this again this morning and so far 1.7 and studio one 2.5.2 are working together. I have been testing with the standard factory library only, so I think that your issue might be due to some odd incompatibility with user projects. If you can load spark in S1 would you mind posting a picture of the about window? 

Thanks,

toby

Title: Re: Spark 1.7 release crashes Studio One
Post by: emetic on August 15, 2013, 10:27:30 am
I redownloaded the exe, completely removed 1.6.1.1 again (and checked the vst dll's had gone), installed 1.7 to default locations. It loads (slowly after "not responding") in standalone and can load user kits, the build version is 1.7.119. It now no longer crashes S1 x64 but the plugin build version is 1.5.143 built on Sep 28th 2012!! Where did that come from, should it not be the same as standalone?? I wonder now if when I installed 1.6.1.1 it even updated the plugin. I have had nothing but issues with this software, be it super high cpu, slow loads, crashes. It's getting a joke (and no, it's not my machine, everything else runs perfectly).

Please sort asap. Ta.
Title: Re: Spark 1.7 release crashes Studio One
Post by: Kevin on August 15, 2013, 10:49:22 am
You might be running the wrong plugin in Studio One.
Try to delete Spark.dll then launch Studio One and make sure it can not locate Spark anymore.
Then reinstall Spark VST.

Kevin
Title: Re: Spark 1.7 release crashes Studio One
Post by: emetic on August 15, 2013, 11:39:34 am
So this is getting even more confusing. I now find I have two x64 spark plugins, one in the root of VSTPlugins, the other in VSTPlugins/Arturia (I never told the install to put one there). I removed the one in the root, S1 now crashes on start up as before. Put it back, still crashes. Good one. Again. Why is it installing in places I never told it too, and where did it get that other, presumably old version from! They were definitely cleared when I uninstalled. Standalone is fine.
Title: Re: Spark 1.7 release crashes Studio One
Post by: emetic on August 15, 2013, 11:42:11 am
Update. I remove the Spark.dll from VSTPlugins/Artura, leave the one in the root now S1 loads fine and is v1.7

Why is the installer putting dodgy dll's in the Arturia folder!!
Title: Re: Spark 1.7 release crashes Studio One
Post by: Kevin on August 15, 2013, 12:36:41 pm
The installer only install the dll where you tell it to install it.
So if you are sure you never selected this folder when installing Spark, it does not comes from Spark installer.
Maybe it is something done by Studio One, as HamHat said (http://www.arturia.com/evolution/smf/index.php?topic=13669.msg36673#msg36673).
But it is a very strange behavior.

Kevin
Title: Re: Spark 1.7 release crashes Studio One
Post by: George Ware on August 15, 2013, 11:03:23 pm
Hi Guys
The Spark VDM v1.7 on StudioOne v2.5.2 64bit on Win7 Pro works fine.
But the midi notes Inst. patch is not the same.

George Ware
Title: Re: Spark 1.7 release crashes Studio One
Post by: Kevin on August 16, 2013, 08:54:26 am
But the midi notes Inst. patch is not the same.

Sorry I don'r understand.
Can you give me some details?
Title: Re: Spark 1.7 release crashes Studio One
Post by: George Ware on August 16, 2013, 08:57:10 pm
But the midi notes Inst. patch is not the same.

Sorry I don'r understand.
Can you give me some details?
It seems after the1.7 update the default midi notes are not the same.
I got your reply on how to set the midi note per pad
So i'll now set them up for Keylab-61

Thanks again Kevin
George Ware